## org.jvnet.maven.plugin.antrun
Class ScopeFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.ScopeFilter

All Implemented Interfaces:
  java.lang.Cloneable, GraphVisitor

    public final class ScopeFilter

extends GraphFilter
implements GraphVisitor

Filter out a `DependencyGraph` by only traversing the given scope.

Author:
  Kohsuke Kawaguchi, Paul Sterk

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ScopeFilter()`
`ScopeFilter(java.util.Collection<java.lang.String> scopes)`
`ScopeFilter(java.lang.String... scopes)`

Method Summary
`DependencyGraph` `process()`
`void` `setLevel(java.lang.String level)`
`boolean` `visit(DependencyGraph.Edge edge)` Visits an edge.
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeFilter

    public ScopeFilter(java.util.Collection<java.lang.String> scopes)

### ScopeFilter

    public ScopeFilter(java.lang.String... scopes)

### ScopeFilter

    public ScopeFilter()

Method Detail

### setLevel

    public void setLevel(java.lang.String level)

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

### visit

    public boolean visit(DependencyGraph.Edge edge)

  Description copied from interface: `GraphVisitor`
  Visits an edge.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit its destination node.

### visit

    public boolean visit(DependencyGraph.Node node)

  Description copied from interface: `GraphVisitor`
  Visits a node.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

Copyright © 2011. All Rights Reserved.